Bug 8057 - rundm default value
: rundm default value
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/xinitrc)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
: 7079
:
  Show dependency tree
 
Reported: 2005-09-26 19:54 by
Modified: 2006-03-07 10:37 (History)


Attachments
/usr/X11R6/bin/runwm (3.18 KB, text/plain)
2005-09-28 20:31, Dmitry V. Levin
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-09-26 19:54:15
Было бы неплохо, чтобы rundm, аналогично XSession, выбирал значение сессии 
default в зависимости от значения /etc/syscondig/desktop
------- Comment #1 From 2005-09-26 20:15:12 -------
(In reply to comment #0) 
> аналогично XSession 
Наврал, аналогично prefdm 
------- Comment #2 From 2005-09-26 20:29:47 -------
Аналогично prefdm - это ещё один хак в виде кучи if'ов - я бы хотел избежать.
Вот если бы содержимое /etc/syscondig/desktop можно было бы использовать
непосредственно в качестве ключа поиска в /etc/X11/wmsession.d/, тогда совсем
другое дело.
------- Comment #3 From 2005-09-27 13:57:06 -------
(In reply to comment #2) 
> Аналогично prefdm - это ещё один хак 
Я имел ввиду аналогию снаружи, а не изнутри. 
Т.е. если есть сессия в wmsession.d, название которой написано 
в /etc/sysconfig/desktop, то она будет default. Иначе как обычно. 
 
------- Comment #4 From 2005-09-27 13:58:55 -------
 (In reply to comment #2) 
> Вот если бы содержимое /etc/syscondig/desktop можно было бы использовать 
> непосредственно в качестве ключа поиска в /etc/X11/wmsession.d/, тогда  
> совсем другое дело. 
Канэшна можно! По параметру NAME 
------- Comment #5 From 2005-09-27 14:24:17 -------
Параметр NAME - это конструктивная идея, надо попробовать.
------- Comment #6 From 2005-09-28 20:31:19 -------
Created an attachment (id=1147) [details]
/usr/X11R6/bin/runwm

Please have a try with this runwm.
------- Comment #7 From 2005-09-29 19:52:44 -------
(In reply to comment #6) 
> Please have a try with this runwm. 
Works for me 
 
------- Comment #8 From 2005-09-30 02:38:58 -------
Applied in 2.4.23-alt1.
------- Comment #9 From 2005-09-30 14:03:55 -------
ok